PLATFORM := $(shell uname)

bonjour:
	@echo " ------------------------------------"
	@echo "| you can use "make build" or "make run" |"
	@echo " ------------------------------------"
	@echo "        \\   ^__^"
	@echo "         \\  (oo)\\_______"
	@echo "            (__)\\       )\\/\\"
	@echo "                ||----w |"
	@echo "                ||     ||"

build:
ifeq ($(PLATFORM),Win32)
	go build -o bin/ecoledirecte_api.exe src/*
else
	go build -o bin/ecoledirecte_api src/*
endif

run:
	go run src/*